> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Nanobanana 2 Lite 이미지 생성

> - Nano Banana 2 Lite (gemini-3.1-flash-lite-image) 모델은 텍스트-이미지, 이미지-이미지, 이미지 편집 등 다양한 생성 모드를 지원합니다
- 비동기 처리 모드, 반환된 작업 ID로 [조회](/ko/api-manual/task-management/get-task-detail)
- 생성된 이미지 링크는 24시간 동안 유효하며, 즉시 저장해 주세요



## OpenAPI

````yaml ko/api-manual/image-series/nanobanana/nanobanana-2-lite-image-generate.json POST /v1/images/generations
openapi: 3.1.0
info:
  title: Nano Banana 2 Lite 인터페이스
  description: AI 모델을 사용하여 이미지 생성 작업을 생성하며, 다양한 모델 및 파라미터 설정을 지원합니다
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 프로덕션 환경
security:
  - bearerAuth: []
tags:
  - name: 이미지 생성
    description: AI 이미지 생성 관련 API
paths:
  /v1/images/generations:
    post:
      tags:
        - 이미지 생성
      summary: Nano Banana 2 Lite 인터페이스
      description: >-
        - Nano Banana 2 Lite (gemini-3.1-flash-lite-image) 모델은 텍스트-이미지, 이미지-이미지,
        이미지 편집 등 다양한 생성 모드를 지원합니다

        - 비동기 처리 모드, 반환된 작업 ID로
        [조회](/ko/api-manual/task-management/get-task-detail)

        - 생성된 이미지 링크는 24시간 동안 유효하며, 즉시 저장해 주세요
      operationId: createImageGenerationNanoBanana2Lite
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImageGenerationRequest'
            examples:
              text_to_image:
                summary: 텍스트에서 이미지로
                value:
                  model: gemini-3.1-flash-lite-image
                  prompt: A cat playing on the grass
      responses:
        '200':
          description: 이미지 생성 작업이 성공적으로 생성되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageGenerationResponse'
        '400':
          description: 요청 매개변수가 잘못되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 인증되지 않았거나 토큰이 유효하지 않거나 만료되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: 할당량이 부족합니다. 충전이 필요합니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: 접근이 거부되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: >-
                    Token does not have access to model:
                    gemini-3.1-flash-lite-image
                  type: invalid_request_error
        '429':
          description: 요청 한도를 초과했습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: 서버 내부 오류
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    ImageGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          description: 이미지 생성 모델 이름, 공식 채널, 더 나은 안정성과 제어성, 상업적 시나리오에 적합
          example: gemini-3.1-flash-lite-image
          enum:
            - gemini-3.1-flash-lite-image
          default: gemini-3.1-flash-lite-image
        prompt:
          type: string
          description: >-
            프롬프트, 생성하려는 이미지를 설명하거나 이미 입력된 이미지를 어떻게 편집할지 설명합니다. 최대 2000 token으로
            제한됩니다
          example: A cat playing in the grass
          maxLength: 2000
        size:
          type: string
          description: 생성된 이미지의 화면 비율, 기본값은 `auto`
          enum:
            - auto
            - '1:1'
            - '1:4'
            - '4:1'
            - '1:8'
            - '8:1'
            - '2:3'
            - '3:2'
            - '3:4'
            - '4:3'
            - '4:5'
            - '5:4'
            - '9:16'
            - '16:9'
            - '21:9'
        quality:
          type: string
          description: 생성된 이미지 품질, 기본값은 `1K`
          enum:
            - 1K
        image_urls:
          type: array
          description: |-
            이미지-이미지 및 이미지 편집 기능을 위한 참조 이미지 URL 목록

            **참고:**
            - 요청당 최대 입력 이미지 수: `14`개
            - 이미지 크기: 최대 `20MB`
            - 지원 형식: `.jpg`, `.jpeg`, `.png`, `.webp`
            - 이미지 URL은 서버에서 직접 접근 가능해야 합니다
          items:
            type: string
            format: uri
          example:
            - https://example.com/image1.png
            - https://example.com/image2.png
        model_params:
          type: object
          description: 모델 확장 매개변수
          properties:
            thinking_level:
              type: string
              description: |-
                사고 추론 수준, 이미지 생성 전 모델의 추론 깊이를 제어합니다, 기본값은 `auto`

                - `auto`: 사고 수준을 자동 선택
                - `min`: 최소 추론, 가장 빠름
                - `high`: 깊은 추론, 최고 품질
              enum:
                - auto
                - min
                - high
              example: auto
        callback_url:
          type: string
          description: >-
            작업 완료 후 HTTPS 콜백 주소


            **콜백 타이밍:**

            - 작업이 완료, 실패 또는 취소될 때 트리거됨

            - 과금 확인 완료 후 전송


            **보안 제한:**

            - HTTPS 프로토콜만 지원

            - 내부 IP 주소로의 콜백 금지 (127.0.0.1, 10.x.x.x, 172.16-31.x.x, 192.168.x.x
            등)

            - URL 길이는 `2048`자를 초과할 수 없음


            **콜백 메커니즘:**

            - 타임아웃: `10`초

            - 실패 시 최대 `3`회 재시도 (`1`초/`2`초/`4`초 후 재시도)

            - 콜백 응답 본문 형식은 작업 조회 API 응답 형식과 동일

            - 콜백 주소가 2xx 상태 코드를 반환하면 성공으로 간주, 다른 상태 코드는 재시도를 트리거
          format: uri
          example: https://your-domain.com/webhooks/image-task-completed
    ImageGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: 작업 생성 타임스탬프
          example: 1757165031
        id:
          type: string
          description: 작업 ID
          example: task-unified-1757165031-uyujaw3d
        model:
          type: string
          description: 실제 사용된 모델 이름
          example: gemini-3.1-flash-lite-image
        object:
          type: string
          enum:
            - image.generation.task
          description: 특정 작업 유형
        progress:
          type: integer
          description: 작업 진행률 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: 작업 상태
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/TaskInfo'
          description: 비동기 작업 정보
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: 작업 출력 유형
          example: image
        usage:
          $ref: '#/components/schemas/Usage'
          description: 사용량 및 과금 정보
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: 오류 코드 식별자
            message:
              type: string
              description: 오류 설명
            type:
              type: string
              description: 오류 유형
    TaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: 작업 취소 가능 여부
          example: true
        estimated_time:
          type: integer
          description: 예상 완료 시간 (초)
          minimum: 0
          example: 45
    Usage:
      type: object
      description: 사용량 및 과금 정보
      properties:
        billing_rule:
          type: string
          description: 과금 규칙
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: 예상 소비 크레딧
          minimum: 0
          example: 8.7
        user_group:
          type: string
          description: 사용자 그룹 카테고리
          enum:
            - default
            - vip
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##모든 API는 Bearer Token 인증이 필요합니다##

        **API Key 받기:**

        [API Key 관리 페이지](https://evolink.ai/dashboard/keys)를 방문하여 API Key를 받으세요

        **요청 헤더에 추가:**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````